summaryrefslogtreecommitdiff
path: root/scripts/check-config.sh
diff options
context:
space:
mode:
authorTom Rini <trini@konsulko.com>2018-12-27 07:50:24 -0500
committerTom Rini <trini@konsulko.com>2018-12-27 07:50:24 -0500
commitb47b3810379aaf6d336151acda66c2a29fc8b657 (patch)
tree15364a84e350a1a71ead52ead1b313a6dad2a3a5 /scripts/check-config.sh
parent562a63e86bc7b308a328a7bbdf0db237855c39a8 (diff)
parente17e0ceb83538c015a50b965547f2f4d38f81c5d (diff)
Merge branch '2018-12-26-master-imports'
- Misc TI platform fixes - mt7629 fix for Linux compatible SMP support - Other small regression fixes
Diffstat (limited to 'scripts/check-config.sh')
-rwxr-xr-xscripts/check-config.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/check-config.sh b/scripts/check-config.sh
index 4848ca6e25..583f7d0963 100755
--- a/scripts/check-config.sh
+++ b/scripts/check-config.sh
@@ -17,6 +17,15 @@
set -e
set -u
+PROG_NAME="${0##*/}"
+
+usage() {
+ echo "$PROG_NAME <path to u-boot.cfg> <path to whitelist file> <source dir>"
+ exit 1
+}
+
+[ $# -ge 3 ] || usage
+
path="$1"
whitelist="$2"
srctree="$3"